#pragma vertex
#pragma include "zframework/modules/render/shaders/glsl/libs/Default.vert.glsl"

void main()
{
    defaultMain();
}

#pragma fragment
#pragma include "zframework/modules/render/shaders/glsl/libs/Default.frag.glsl"

void main()
{
    float amount = 0.0;

    amount = (1.1 + sin(u_time * 6.0)) * 0.5;
    amount *= 1.1 + sin(u_time * 16.0) * 0.5;
    amount *= 1.1 + sin(u_time * 19.0) * 0.5;
    amount *= 1.1 + sin(u_time * 27.0) * 0.5;
  //  amount = pow(amount, 3.0);

//    if (amount < 0.5) {
//        defaultMain();
//        return;
//    }

    amount *= 0.01;

    vec4 c1 = getTextureColor(vec2(v_uv.x + amount, v_uv.y));
    vec4 c2 = getTextureColor();
    vec4 c3 = getTextureColor(vec2(v_uv.x - amount, v_uv.y));

    vec3 col;
    col.r = c1.r;
    col.g = c2.g;
    col.b = c3.b;

    //col *= (1.0 - amount * 0.5);

    //gl_FragColor = vec4(col, max(c1.a * col.r, max(c2.a, c3.a * col.b)));
    //alphaTest();

    //gl_FragColor = vec4(c1.a, c2.a, c3.a, (c1.a + c2.a + c3.a) * 0.3);
    gl_FragColor = vec4(c1.a, c2.a, c3.a, max(c1.a, max(c2.a, c3.a)));

    //gl_FragColor = vec4(c1.a, c2.a, c3.a, max(c2.a, max(c1.a * c1.r, c3.a * c3.b)));
}
